---
nav: Footers
meta:
  title: Footer component
  description: The footer component provides a container for displaying additional navigation information about a site.
  keywords: footers, vuetify footer component, vue footer component
related:
  - /components/grids
  - /components/buttons
  - /components/toolbars
---

# Footers

The `v-footer` component is used for displaying general information that a user might want to access from any page within your site.

<entry />

## Usage

The `v-footer` component in its simplest form is a container.

<example file="v-footer/usage" />

## API

<api-inline />

## Examples

### Misc

#### Company Footer

The footer component as a basic company footer with links.

<example file="v-footer/misc-company-footer" />

#### Indigo Footer

The footer component with Indigo background color and social media icons and button.

<example file="v-footer/misc-indigo-footer" />

#### Teal Footer

The footer component with a Teal color header and columns and rows of links.

<example file="v-footer/misc-teal-footer" />

<backmatter />
